Name:		pinentry
Version:	1.3.1
Release:	%mkrel 1
Summary:	Collection of simple PIN or passphrase entry dialogs
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.gnupg.org/
Source0:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:	pinentry-wrapper
Patch1:		pinentry-1.1.1-coverity.patch
# Qt5
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5X11Extras)
BuildRequires:	cmake(KF5Wayland)
# Qt6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6WindowSystem)
#
BuildRequires:	fltk-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libassuan)
BuildRequires:	pkgconfig(gpg-error) >= 1.16
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gcr-4)
BuildRequires:	pkgconfig(elementary)

%description
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%files
%license COPYING
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_bindir}/pinentry-tty
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_infodir}/*.info*

#-----------------------------------------------------------------------------------------

%package	gnome3
Summary:	GNOME 3 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	gnome3
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GNOME 3 interface of the dialog.

%files		gnome3
%{_bindir}/pinentry-gnome3

#-----------------------------------------------------------------------------------------

%package	efl
Summary:	EFL interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	efl
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides EFL interface of the dialog.

%files		efl
%{_bindir}/pinentry-efl

#-----------------------------------------------------------------------------------------

%package	emacs
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	emacs
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Emacs interface of the dialog.

%files		emacs
%{_bindir}/pinentry-emacs

#-----------------------------------------------------------------------------------------

%package	fltk
Summary:	FLTK interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	fltk
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides FLTK interface of the dialog.

%files		fltk
%{_bindir}/pinentry-fltk

#-----------------------------------------------------------------------------------------

%package	gtk2
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	gtk2
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%files		gtk2
%{_bindir}/pinentry-gtk-2

#-----------------------------------------------------------------------------------------

%package	qt5
Summary:	Qt5 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	qt5
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Qt5 interface of the dialog.

%files		qt5
%{_bindir}/pinentry-qt5
%{_datadir}/applications/org.gnupg.pinentry-qt5.desktop

#-----------------------------------------------------------------------------------------

%package	qt6
Summary:	Qt6 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	qt6
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Qt6 interface of the dialog.

%files		qt6
%{_bindir}/pinentry-qt
%{_bindir}/pinentry-qt6
%{_datadir}/applications/org.gnupg.pinentry-qt.desktop

#-----------------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
# autogen.sh does not replace the bundled automake files even with --force
autoreconf -vfi

#to find moc
export PATH=$PATH:%{_qt5_bindir}

%configure \
	--enable-pinentry-qt \
	--enable-pinentry-qt5 \
	--enable-pinentry-gtk2 \
	--enable-pinentry-gnome3 \
	--enable-libsecret \
	--enable-pinentry-efl \
	--enable-pinentry-emacs \
	--enable-pinentry-fltk \
	--enable-pinentry-curses \
	--enable-fallback-curses \
        --enable-pinentry-tty \
        --disable-rpath
%make_build

%install
%make_install

install -p -m644 -D qt/icons/pinentry.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -p -m755 -D %{SOURCE2} %{buildroot}%{_bindir}/pinentry

ln -s pinentry-qt %{buildroot}%{_bindir}/pinentry-qt6



%changelog
* Thu Jul 04 2024 daviddavid <daviddavid> 1.3.1-1.mga10
+ Revision: 2079554
- new version: 1.3.1

* Thu Mar 21 2024 daviddavid <daviddavid> 1.3.0-2.mga10
+ Revision: 2051061
- enable fltk and efl interface of pinentry
- switch to gcr-4
- build pinentry-qt with Caps Lock warning on X11 and Caps Lock warning on Wayland

* Thu Mar 21 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2051060
- new version: 1.3.0
- add Qt6 support for pinentry-qt6

* Tue Sep 13 2022 luigiwalser <luigiwalser> 1.2.1-1.mga9
+ Revision: 1887886
- 1.2.1

* Sun Apr 03 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1842622
- Mageia 9 Mass Rebuild

* Wed Sep 29 2021 luigiwalser <luigiwalser> 1.2.0-1.mga9
+ Revision: 1746875
- 1.2.0
- add coverity fix patch from fedora

* Fri Jan 22 2021 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1672878
- new version: 1.1.1

* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-7.mga8
+ Revision: 1659385
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1524855
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 01 2019 umeabot <umeabot> 1.1.0-5.mga7
+ Revision: 1383950
- Qt5 Rebuild
+ wally <wally>
- build with ncursesw

* Mon Nov 26 2018 tv <tv> 1.1.0-4.mga7
+ Revision: 1335261
- do not recommends pinentry-gui (mga#23894)

* Mon Sep 03 2018 tv <tv> 1.1.0-3.mga7
+ Revision: 1256573
- remove unused deps on info-install

* Fri Jun 15 2018 wally <wally> 1.1.0-2.mga7
+ Revision: 1237121
- drop unneeded update-alternatives %%pre scriplets
- drop unneeded CXXFLAGS export

* Sat Jan 06 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1190658
- new version: 1.1.0

* Tue Jan 17 2017 wally <wally> 1.0.0-2.mga6
+ Revision: 1082136
- properly detect Qt5 on build time

* Sun Dec 18 2016 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1075959
- Enable qt5 binding

* Thu Nov 03 2016 eatdirt <eatdirt> 0.9.7-2.mga6
+ Revision: 1064876
- Compile tty and curses-fallback (mga#19673)

* Wed Dec 23 2015 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 913737
- new version: 0.9.7

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.6-1.mga6
+ Revision: 895339
- new version: 0.9.6

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.5-4.mga6
+ Revision: 895325
- compile C++ code with -std=gnu++11

* Wed Aug 19 2015 ovitters <ovitters> 0.9.5-3.mga6
+ Revision: 865818
- sync pinentry-wrapper with opensuse

* Tue Aug 18 2015 ovitters <ovitters> 0.9.5-2.mga6
+ Revision: 865761
- emacs subpackage is not a gui

* Tue Aug 18 2015 ovitters <ovitters> 0.9.5-1.mga6
+ Revision: 865755
- add gnome3,emacs subpackages
- new version 0.9.5

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.4-1.mga6
+ Revision: 837396
- add libsecret BR
- remove patch 0 (fixed upstream)
- rediff patch 1
- 0.9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-4.mga5
+ Revision: 745536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.3-3.mga5
+ Revision: 687598
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.8.3-2.mga4
+ Revision: 530251
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 luigiwalser <luigiwalser> 0.8.3-1.mga4
+ Revision: 456724
- 0.8.3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-3.mga3
+ Revision: 377744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.8.2-2.mga3
+ Revision: 343963
- patch1: fix build with automake 1.13
+ fedya <fedya>
- rpmlint fix

* Fri Aug 17 2012 fedya <fedya> 0.8.2-1.mga3
+ Revision: 281790
- version update 0.8.2

* Sun Aug 21 2011 dmorgan <dmorgan> 0.8.1-3.mga2
+ Revision: 134797
- Add kubuntu patch to fix display of pinentry-qt4

* Sat Jan 15 2011 mikala <mikala> 0.8.1-2.mga1
+ Revision: 18655
- Remove BuildRoot
- imported package pinentry


* Thu Jan 06 2011 Lonyai Gergely <aleph@mandriva.org> 0.8.1-2mdv2011.0
+ Revision: 629026
- release
- I try to resolv the "pinentry install without gui"

* Tue Jan 04 2011 Lonyai Gergely <aleph@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 628569
- 0.8.1
  Remove the applied patch

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-6mdv2011.0
+ Revision: 607174
- rebuild

* Thu May 13 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.0-5mdv2010.1
+ Revision: 544667
- Add fedora patches fixing segfault in the gtk pinentry
- Fix pinentry-qt4 showing in background

* Wed Mar 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.0-3mdv2010.1
+ Revision: 530268
- Add a symlink for pinentry-qt ( Bug #58457 )
- Remove qt3 support

* Fri Mar 05 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.0-2mdv2010.1
+ Revision: 514581
- Use patch from fedora to handle no display settings (Bug #46841 )
  Add a pinentry-gui provide to qt4 qt and gtk2 subpackages

* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.1
+ Revision: 513991
- Update to new version 0.8.0
- Remove patch to build with QT 4.5: integrated upstream

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7.6-3mdv2010.0
+ Revision: 444182
- Obsolete qt3 packages

* Tue Sep 15 2009 Helio Chissini de Castro <helio@mandriva.com> 0.7.6-2mdv2010.0
+ Revision: 443111
- Make teuf happy. ( And obsoletes pinentry-qt )

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 395922
- Update to new version 0.7.6
- Remove patches integrated upstream
- Add moc patch to fix build with QT 4.5

* Thu Mar 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.5-7mdv2009.1
+ Revision: 361357
- Add missing buildrequires on gettext-devel

  + Helio Chissini de Castro <helio@mandriva.com>
    - Restore qt3 package due t kde3 insanity...
    - Fixed last bit of curses fallback on pinentry-qt4 dialog
    - Make qt4 pinentry dialog automake complaint, avoiding duplicate os secdring code and allowing to fallback on curses
      if no display is available, like their counterparts.

* Wed Jan 07 2009 Helio Chissini de Castro <helio@mandriva.com> 0.7.5-4mdv2009.1
+ Revision: 326682
- We should made old binary names available in case user decided put the explicit binary name in their gpg.conf,
  pointing to pinentry-qt and pinentry-gtk instead of have it clean allowing gpg-agent programs like use the
  standard /usr/bin/pinentry ( which is handled by alternatives in Mandriva ).
  Since new packages obsolete old ones, is possible to add a slave for the alternatives rule linking old names, solving the upgrade path issue.

* Mon Jan 05 2009 Helio Chissini de Castro <helio@mandriva.com> 0.7.5-3mdv2009.1
+ Revision: 325155
- Rediff gtk transient patch
- Disable qt3 vuild
- Added pinentry qt4 from kde playground svn. Dialog ui need some love.
- Move name gtk to gtk2 and obsolete old pinentry-gtk ( was gtk2 already )
- qt4 package obsoletes old pinentry-qt

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.5-2mdv2009.0
+ Revision: 232371
- rebuilt against new libcap

* Mon Mar 17 2008 Olivier Blin <oblin@mandriva.com> 0.7.5-1mdv2008.1
+ Revision: 188312
- do not remove alternatives in postun if the package is not removed
- move pinentry-curses in a new pinentry-curses package to make
  pinentry a virtual package (so that qt/gtk versions can be selected
  when pinentry is required)
- realize the window as transient if keyboard is grabbed (from upstream SVN)
- fix keyboard grab (from Gentoo)
- fix build with latest glib that broke g_malloc API (from upstream ML)
- restore BuildRoot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - drop not applied patch
    - set buildrequires on libcap-devel
    - new version
    - new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 117509
- new version

* Mon Sep 10 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.3-2mdv2008.0
+ Revision: 84038
- fix broken info entry (P0, should fix #32534)
- $QTLIB is already set by /etc/profile.d/qt3.sh, so don't set it in spec

* Thu Jul 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-1mdv2008.0
+ Revision: 55628
- correct configure options
- nuke rpath
- update to the latest version
- Import pinentry



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.2-6mdv2007.0
- Rebuild

* Fri Jul 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-5
- Add patch to disable gtk-1.2 support

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-4
- Add patch from Raphaël Gertz to use update-alternative 

* Fri Feb 24 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdk
- Add Requires(post|preun): fix ticket #17416
- use mkrel

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.2-2mdk
- add BuildRequires: libgtk+2.0-devel

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7.1-4mdk
- fix build on lib64 platforms

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-3mdk
- Rebuild

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk
- Rebuild with new gcc

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-1mdk
- New version
- Don't build against libcap

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- New version
- Enable all interfaces

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.6.9-2mdk
- rebuild

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.9-1mdk
- Update version

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.8-1mdk
- Update and fix spec file thanks to <fabrice-marie-sec@ifrance.com>

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-2mdk
- Fix link as report Jason Straight <jason@JeetKuneDoMaster.net>

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
